Skip to main content
POST
Build a redemption minimum update transaction
Build an unsigned transaction that changes a shareholder’s minimum acceptable redemption output.
MicroVaults are in private preview for enabled sandbox organizations on Ethereum Sepolia.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vaultId
string<uuid>
required
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89aAbB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
Example:

"8f4c52d7-62ab-4db9-a964-92f481f6b851"

requestId
string
required

Unsigned base-10 integer string. Asset and share amounts use token base units.

Pattern: ^(0|[1-9][0-9]*)$
Example:

"1000000"

Body

application/json
newMinimum
string
required

Unsigned base-10 integer string. Asset and share amounts use token base units.

Pattern: ^(0|[1-9][0-9]*)$
Example:

"1000000"

caller
string
required

Valid nonzero EVM EOA or contract address. Mixed-case values must use a valid EIP-55 checksum.

Required string length: 42
Pattern: ^0x(?!0{40}$)[0-9a-fA-F]{40}$
Example:

"0x3bf25a73a1f1033c2d50ac65f3c9d6a44123db81"

Response

Unsigned transaction for the caller to submit.

to
string
required

Valid nonzero EVM EOA or contract address. Mixed-case values must use a valid EIP-55 checksum.

Required string length: 42
Pattern: ^0x(?!0{40}$)[0-9a-fA-F]{40}$
Example:

"0x3bf25a73a1f1033c2d50ac65f3c9d6a44123db81"

data
string
required
Pattern: ^0x[0-9a-fA-F]*$
value
string
required

Unsigned base-10 integer string. Asset and share amounts use token base units.

Pattern: ^(0|[1-9][0-9]*)$
Example:

"1000000"